Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692376 (golang-github-mattn-gtk) - Review Request: golang-github-mattn-gtk - Go binding for GTK
Summary: Review Request: golang-github-mattn-gtk - Go binding for GTK
Keywords:
Status: ON_QA
Alias: golang-github-mattn-gtk
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: golang-github-mattn-pointer
Blocks: golang-github-anacrolix-dms
TreeView+ depends on / blocked
 
Reported: 2019-03-25 13:13 UTC by Robert-André Mauchin
Modified: 2019-04-13 12:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-03-25 13:13:34 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-mattn-gtk.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-mattn-gtk-0-0.1.20190325gite9a6766.fc31.src.rpm

Description:
 Go binding for GTK.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-03-25 13:14:49 UTC
Built on COPR: https://copr.fedorainfracloud.org/coprs/build/873461

Comment 2 Jerry James 2019-03-28 02:34:39 UTC
Issues
==============
The license situation is unclear to me.  README.md says:

"The library is available under the same terms and conditions as the Go, the
 BSD style license, and the LGPL (GNU Lesser General Public License).  The idea
 is that if you can use Go (and Gtk) in a project, you should also be able to
 use go-gtk."

That's a little hard to understand, but I suspect the author means that the
license is "BSD or LGPLv2+", where the Go license is subsumed by BSD, and the
GTK license is LGPLv2+.  I am not sure, though.  The author may have meant that
the license is "BSD and LGPLv2+" (and rather than or).  If this is unclear to
you, too, then asking the author for clarification may be necessary.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 69 files have unknown license. Detailed
     output of licensecheck in /home/jamesjer/1692376-golang-github-mattn-
     gtk/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com/mattn(golang-github-mattn-tty-devel,
     golang-github-mattn-go-isatty-devel, golang-github-mattn-shellwords-
     devel, golang-github-mattn-go-sqlite3-devel, golang-github-mattn-go-
     runewidth-devel, golang-github-mattn-go-colorable-devel),
     /usr/share/gocode/src/github.com(golang-googlecode-gogoprotobuf-devel,
     golang-github-peterbourgon-diskv-devel, golang-github-aead-
     chacha20-devel, golang-github-dustin-go-humanize-devel, golang-github-
     pkg-term-devel, golang-github-ryszard-goskiplist-devel, golang-github-
     git-lfs-netrc-devel, golang-github-rainycape-memcache-devel, golang-
     github-shurcool-httpfs-devel, golang-github-ncw-swift-devel, golang-
     github-karlseguin-expect-devel, golang-github-coreos-pkg-devel,
     golang-github-nwaples-rardecode-devel, golang-github-akrennmair-
     gopcap-devel, golang-github-delve-devel, golang-github-dvsekhvalnov-
     jose2go-devel, golang-github-coreos-go-oidc-devel, golang-github-
     prometheus-procfs-devel, golang-github-DataDog-datadog-go-devel,
     golang-github-pelletier-go-buffruneio-devel, golang-github-thejerf-
     suture-devel, golang-github-gdamore-encoding-devel, golang-github-
     zyedidia-pty-devel, golang-github-freetype-devel, golang-github-
     gregjones-httpcache-devel, golang-github-SAP-go-hdb-devel, golang-
     github-chzyer-logex-devel, golang-github-bmizerany-perks-devel,
     golang-github-aws-aws-sdk-go-devel, golang-github-gorilla-websocket-
     devel, golang-github-yuin-gopher-lua-devel, golang-github-google-
     martian-devel, golang-github-garyburd-redigo-devel, golang-github-pkg-
     xattr-devel, golang-github-gliderlabs-ssh-devel, glide-devel, golang-
     github-pengsrc-shared-devel, golang-github-petar-GoLLRB-devel, golang-
     github-lucasb-eyer-colorful-devel, golang-github-vividcortex-ewma-
     devel, golang-github-census-instrumentation-opencensus-proto-devel,
     golang-github-smartystreets-goconvey-devel, golang-github-hashicorp-
     memberlist-devel, golang-github-mattn-go-runewidth-devel, golang-
     github-docker-go-devel, golang-github-miekg-pkcs11-devel, golang-
     github-fatih-color-devel, golang-github-mitchellh-reflectwalk-devel,
     golang-github-go-ldap-ldap-devel, golang-github-zyedidia-poller-devel,
     golang-github-bradfitz-gomemcache-devel, golang-github-shurcool-
     issues-devel, golang-github-wellington-libsass-devel, golang-github-
     cheggaaa-pb-devel, golang-github-mdlayher-wifi-devel, golang-github-
     nwidger-jsoncolor-devel, golang-github-shopspring-decimal-devel,
     golang-github-circonus-labs-circonusllhist-devel, golang-github-calmh-
     du-devel, golang-github-ncw-dropbox-sdk-unofficial-devel, golang-
     github-coreos-go-iptables-devel, golang-github-shurcool-reactions-
     devel, golang-github-cloudflare-devel, golang-github-facebookgo-
     atomicfile-devel, golang-github-gorilla-context-devel, golang-github-
     data-dog-txdb-devel, golang-github-chmduquesne-rollinghash-devel,
     golang-github-git-lfs-devel, golang-github-coreos-go-log-devel,
     golang-github-google-cmp-devel, golang-github-pquerna-cachecontrol-
     devel, golang-github-nicksnyder-i18n-devel, golang-github-azure-
     autorest-devel, golang-github-xlab-handysort-devel, golang-github-
     kylelemons-godebug-devel, golang-github-emicklei-go-restful-devel,
     golang-github-xanzy-ssh-agent-devel, golang-github-mreiferson-go-
     httpclient-devel, golang-github-shurcool-highlight-devel, golang-
     github-russross-blackfriday-devel, golang-github-jedisct1-dnsstamps-
     devel, golang-github-shirou-gopsutil-devel, golang-github-hashicorp-
     go-immutable-radix-devel, golang-github-sevlyar-daemon-devel, golang-
     github-AdRoll-goamz-devel, golang-github-docker-libtrust-devel,
     golang-github-jessevdk-go-flags-devel, golang-github-tarm-serial-
     devel, golang-github-jawher-mow-cli-devel, golang-github-docker-
     spdystream-devel, golang-github-hashicorp-scada-client-devel, golang-
     github-shurcool-httperror-devel, golang-github-gopherjs-devel, golang-
     github-hashicorp-go-uuid-devel, golang-github-jellevandenhooff-dkim-
     devel, golang-github-kballard-go-shellquote-devel, golang-github-cpu-
     goacmedns-devel, golang-github-imdario-mergo-devel, golang-github-
     BurntSushi-xgb-devel, golang-github-bmizerany-assert-devel, golang-
     github-kolo-xmlrpc-devel, golang-github-olekukonko-ts-devel, golang-
     github-mitchellh-mapstructure-devel, golang-github-elithrar-simple-
     scrypt-devel, golang-github-prometheus-common-devel, golang-github-
     sourcegraph-syntaxhighlight-devel, golang-github-shurcool-frontend-
     devel, golang-github-shurcool-highlight-diff-devel, golang-github-
     dsnet-golib-devel, golang-github-tv42-httpunix-devel, golang-github-
     jmhodges-levigo-devel, golang-github-namedotcom-devel, golang-github-
     huandu-xstrings-devel, golang-github-dimchansky-utfbom-devel, golang-
     github-markbates-inflect-devel, golang-github-gengo-grpc-gateway-
     devel, golang-github-neelance-sourcemap-devel, golang-github-
     cloudfoundry-incubator-candiedyaml-devel, golang-github-prometheus-
     client_model-devel, golang-github-vividcortex-godaemon-devel, golang-
     github-gonum-graph-devel, golang-github-neelance-astrewrite-devel,
     golang-github-BurntSushi-xgbutil-devel, golang-github-mschoch-smat-
     devel, golang-github-google-gofuzz-devel, golang-github-thorduri-
     libusb-devel, golang-github-hako-durafmt-devel, golang-github-
     mitchellh-hashstructure-devel, golang-github-hashicorp-consul-migrate-
     devel, golang-github-jfrogdev-gofrog-devel, golang-github-eapache-go-
     resiliency-devel, golang-github-calmh-xdr-devel, golang-github-
     hashicorp-raft-mdb-devel, golang-github-mitchellh-cli-devel, golang-
     github-billziss-gh-cgofuse-devel, golang-github-kdar-factorlog-devel,
     golang-github-kisielk-gotool-devel, golang-github-matryer-try-devel,
     golang-github-mattn-shellwords-devel, golang-github-shurcool-githubql-
     devel, golang-github-mattn-go-colorable-devel, golang-github-satori-
     uuid-devel, golang-github-anmitsu-shlex-devel, golang-github-Sirupsen-
     logrus-devel, golang-github-bruth-assert-devel, golang-github-src-d
     -gcfg-devel, golang-github-d2g-dhcp4client-devel, golang-github-
     pierrec-lz4-devel, golang-github-Masterminds-semver-devel, golang-
     github-denverdino-aliyungo-devel, golang-github-rfjakob-eme-devel,
     golang-github-kr-pty-devel, golang-github-bradfitz-smtpd-devel,
     golang-github-nsf-termbox-devel, golang-github-pkg-profile-devel,
     golang-github-jmespath-go-jmespath-devel, golang-github-kevinburke-
     ssh-config-devel, golang-github-jinzhu-gorm-devel, golang-github-
     globalsign-mgo-devel, golang-github-cockroachdb-cockroach-go-devel,
     golang-github-agl-ed25519-devel, golang-github-zyedidia-tcell-devel,
     golang-github-circonus-labs-circonus-gometrics-devel, golang-github-
     shurcool-webdavfs-devel, golang-github-nrdcg-auroradns-devel, golang-
     github-ncw-acd-devel, golang-github-microcosm-cc-bluemonday-devel,
     golang-github-cockroachdb-cmux-devel, golang-github-ianlancetaylor-
     demangle-devel, syncthing-devel, golang-github-ugorji-go-devel,
     golang-github-jbenet-context-devel, golang-github-olekukonko-
     tablewriter-devel, golang-github-sergi-go-diff-devel, golang-github-
     patrickmn-go-cache-devel, golang-github-jfrazelle-go-devel, golang-
     github-Shopify-toxiproxy-devel, golang-github-alcortesm-tgz-devel,
     golang-github-mattn-go-isatty-devel, golang-github-influxdb-rocksdb-
     devel, golang-github-influxdb-gomdb-devel, golang-github-golang-glog-
     devel, golang-github-opencontainers-runtime-spec-devel, golang-github-
     shurcool-graphql-devel, golang-github-mdlayher-genetlink-devel,
     golang-github-anacrolix-envpprof-devel, golang-github-jtolds-gls-
     devel, golang-github-bradfitz-iter-devel, golang-github-julienschmidt-
     httprouter-devel, golang-github-inconshreveable-mousetrap-devel,
     golang-github-buger-jsonparser-devel, golang-github-ovh-devel, golang-
     github-dgrijalva-jwt-go-devel, golang-github-tambet-asana-devel,
     golang-github-opendns-vegadns2client-devel, golang-github-hashicorp-
     logutils-devel, golang-github-kurin-blazer-devel, golang-github-
     bradfitz-http2-devel, golang-github-howeyc-gopass-devel, golang-
     github-BurntSushi-toml-devel, golang-github-calmh-luhn-devel, golang-
     github-google-uuid-devel, golang-github-jlaffaye-ftp-devel, golang-
     github-hashicorp-raft-boltdb-devel, golang-github-shurcool-
     octiconssvg-devel, golang-github-mitchellh-copystructure-devel,
     golang-github-chaseadamsio-goorgeous-devel, golang-github-shurcool-
     users-devel, golang-github-aead-poly1305-devel, golang-github-
     cenkalti-backoff-devel, golang-github-jamesclonk-vultr-devel, golang-
     github-minio-devel, golang-github-abbot-go-http-auth-devel, golang-
     github-gorilla-handlers-devel, golang-github-hashicorp-go-syslog-
     devel, golang-github-alecthomas-repr-devel, golang-github-zyedidia-
     terminal-devel, golang-github-onsi-ginkgo-devel, golang-github-pkg-
     errors-devel, golang-github-emirpasic-gods-devel, golang-github-3rf-
     mongo-lint-devel, golang-github-eapache-queue-devel, golang-github-
     hashicorp-hil-devel, golang-github-ryanuber-columnize-devel, golang-
     github-glycerine-unsnap-stream-devel, golang-github-rcrowley-go-
     metrics-devel, golang-github-jedisct1-clocksmith-devel, golang-github-
     shurcool-notificationsapp-devel, golang-github-shurcool-home-devel,
     golang-github-shurcool-issuesapp-devel, golang-github-pebbe-
     zmq4-devel, golang-github-coreos-go-systemd-devel, golang-github-
     gonum-matrix-devel, golang-github-gorilla-securecookie-devel, etcd-
     devel, golang-github-inconshreveable-muxado-devel, golang-github-
     googlecloudplatform-cloudsql-proxy-devel, golang-github-mitchellh-go-
     wordwrap-devel, golang-github-godbus-dbus-devel, golang-github-
     spacemonkeygo-spacelog-devel, golang-github-spf13-cobra-devel, golang-
     github-armon-go-metrics-devel, golang-github-facebookgo-pidfile-devel,
     golang-github-hashicorp-errwrap-devel, golang-github-bgentry-go-netrc-
     devel, golang-github-googleapis-gax-devel, golang-github-kr-text-
     devel, golang-github-zyedidia-glob-devel, golang-github-bugsnag-
     panicwrap-devel, golang-github-pelletier-go-toml-devel, golang-github-
     spf13-viper-devel, golang-github-asaskevich-govalidator-devel, golang-
     github-go-sql-driver-mysql-devel, golang-github-davecgh-go-spew-devel,
     golang-github-hashicorp-go-sockaddr-devel, golang-github-coreos-bbolt-
     devel, golang-github-spf13-jwalterweatherman-devel, golang-github-
     nightlyone-lockfile-devel, golang-github-karlseguin-ccache-devel,
     golang-github-git-lfs-wildmatch-devel, golang-github-hawkular-
     hawkular-client-go-devel, golang-github-dropbox-sdk-unofficial-devel,
     golang-github-gonum-lapack-devel, golang-github-hashicorp-go-
     multierror-devel, golang-googlecode-goprotobuf-devel, golang-github-
     mattn-tty-devel, golang-github-zyedidia-clipboard-devel, golang-
     github-spf13-pflag-devel, golang-github-tdewolff-test-devel, golang-
     github-hashicorp-serf-devel, golang-github-mholt-archiver-devel,
     golang-github-fsnotify-fsnotify-devel, golang-github-hashicorp-go-
     cleanhttp-devel, golang-github-MakeNowJust-heredoc-devel, golang-
     github-ghodss-yaml-devel, golang-github-robertkrimen-otto-devel,
     golang-github-magiconair-properties-devel, golang-github-cpuguy83-go-
     md2man-devel, golang-github-armon-go-radix-devel, golang-github-azure-
     storage-blob-devel, golang-github-influxdb-go-cache-devel, golang-
     github-dnaeon-vcr-devel, golang-github-timewasted-linode-devel,
     golang-github-lib-pq-devel, golang-github-hashicorp-go-msgpack-devel,
     golang-github-hashicorp-yamux-devel, golang-github-exoscale-egoscale-
     devel, golang-github-codahale-aesnicheck-devel, golang-github-
     shurcool-gofontwoff-devel, golang-gopkg-yaml-devel-v2, golang-github-
     posener-complete-devel, golang-github-beevik-ntp-devel, golang-github-
     hashicorp-go-checkpoint-devel, golang-github-gdamore-tcell-devel,
     golang-github-sourcegraph-annotate-devel, golang-github-gofrs-flock-
     devel, golang-github-google-btree-devel, golang-github-10gen-escaper-
     devel, golang-github-okzk-sdnotify-devel, golang-github-cznic-ql-
     devel, golang-github-kr-pretty-devel, golang-github-marstr-collection-
     devel, golang-github-skratchdot-open-golang-devel, golang-github-bep-
     debounce-devel, golang-github-10gen-openssl-devel, golang-github-
     BurntSushi-graphics-go-devel, golang-github-evanphx-json-patch-devel,
     golang-github-a8m-tree-devel, golang-github-gonum-blas-devel, golang-
     github-gorilla-mux-devel, golang-github-DATA-DOG-go-sqlmock-devel,
     golang-github-hashicorp-hcl-devel, golang-github-marstr-goalias-devel,
     golang-github-armon-go-proxyproto-devel, golang-github-beorn7-perks-
     devel, golang-github-mistifyio-go-zfs-devel, golang-github-kardianos-
     osext-devel, golang-github-coreos-gexpect-devel, golang-github-
     hashicorp-net-rpc-msgpackrpc-devel, golang-github-appc-spec-devel,
     golang-github-prometheus-client_golang-devel, golang-github-keybase-
     go-crypto-devel, golang-github-cespare-xxhash-devel, golang-github-
     briandowns-spinner-devel, golang-github-stretchr-testify-devel,
     golang-github-bitly-simplejson-devel, golang-github-mdlayher-netlink-
     devel, golang-github-armon-circbuf-devel, golang-github-alecthomas-
     units-devel, golang-github-dgryski-bitstream-devel, golang-github-
     chzyer-test-devel, golang-github-cosmos72-gomacro-devel, golang-
     github-tg-gosortmap-devel, golang-github-tdewolff-minify-devel, dep-
     devel, golang-github-ulikunitz-xz-devel, golang-github-coreos-go-etcd-
     devel, golang-github-ema-qdisc-devel, golang-github-gorilla-sessions-
     devel, golang-github-pascaldekloe-goe-devel, golang-github-google-go-
     querystring-devel, golang-github-yunify-qingstor-sdk-devel, golang-
     github-digitalocean-godo-devel, golang-github-russross-
     blackfriday-v2-devel, golang-github-codegangsta-cli-devel, golang-
     github-hashicorp-version-devel, golang-github-git-time-metric-gtm-
     devel, golang-github-mitchellh-go-homedir-devel, golang-github-
     denisenkom-go-mssqldb-devel, golang-github-pmezard-go-difflib-devel,
     golang-github-mock-devel, golang-github-hashicorp-go-retryablehttp-
     devel, golang-github-onsi-gomega-devel, golang-github-shurcool-
     httpgzip-devel, golang-github-golang-groupcache-devel, golang-github-
     sdboyer-constext-devel, golang-github-peterh-liner-devel, golang-
     github-mattn-go-sqlite3-devel, golang-github-openzipkin-zipkin-devel,
     golang-github-libgit2-git2go-devel, golang-github-hashicorp-golang-
     lru-devel, golang-github-shurcool-flavored-markdown-devel, golang-
     github-blang-semver-devel, golang-github-aclements-moremath-devel,
     golang-github-d2g-dhcp4-devel, golang-github-jinzhu-now-devel, golang-
     github-data-dog-godog-devel, golang-github-docker-go-units-devel,
     golang-github-thomsonreuterseikon-ntlm-devel, golang-github-google-
     pprof-devel, golang-github-tdewolff-parse-devel, golang-github-kimor79
     -gollectd-devel, golang-github-sanity-io-litter-devel, golang-github-
     xtaci-smux-devel, golang-github-ajstarks-svgo-devel, golang-github-
     docker-go-connections-devel, golang-github-mxk-go-flowrate-devel,
     golang-github-urfave-cli-devel, golang-github-shurcool-htmlg-devel,
     golang-github-disintegration-imaging-devel, golang-github-Azure-azure-
     sdk-for-go-devel, golang-github-dgnorton-goback-devel, golang-github-
     fatih-set-devel, golang-github-jedisct1-xsecretbox-devel, golang-
     github-alecthomas-template-devel, golang-github-hashicorp-go-memdb-
     devel, golang-github-burntsushi-locker-devel, golang-github-shurcool-
     events-devel, golang-github-elazarl-go-bindata-assetfs-devel, golang-
     github-jonboulle-clockwork-devel, golang-github-ttacon-chalk-devel,
     golang-github-jedisct1-minisign-devel, golang-github-hashicorp-raft-
     devel, golang-github-alecthomas-colour-devel, golang-github-tinylib-
     msgp-devel, golang-github-azure-pipeline-devel, golang-github-marstr-
     randname-devel, golang-github-git-lfs-gitobj-devel, golang-github-
     flynn-json5-devel, golang-github-dchest-safefile-devel, golang-github-
     google-go-github-devel, golang-github-getsentry-raven-go-devel,
     golang-github-hashicorp-mdns-devel, golang-github-aclements-gg-devel,
     golang-github-vbatts-tar-split-devel, golang-github-spacemonkeygo-
     flagfile-devel, golang-github-marstr-guid-devel, golang-github-
     shurcool-notifications-devel, golang-github-klauspost-compress-devel,
     golang-github-google-go-cmp-devel, golang-github-dsnet-compress-devel,
     golang-github-klauspost-crc32-devel, golang-github-kr-fs-devel,
     golang-github-grpc-ecosystem-grpc-gateway-devel, golang-github-
     kardianos-service-devel, golang-github-lsegal-gucumber-devel, golang-
     github-k-sone-critbitgo-devel, golang-github-daviddengcn-go-colortext-
     devel, golang-github-unknwon-goconfig-devel, golang-github-
     Masterminds-vcs-devel, golang-github-cosiner-argv-devel, golang-
     github-djherbis-times-devel, golang-github-gogo-protobuf-devel,
     golang-github-restic-chunker-devel, golang-github-bgentry-speakeasy-
     devel, golang-github-go-ini-ini-devel, golang-github-xtaci-kcp-go-
     devel, golang-github-chrismalek-oktasdk-go-devel, golang-github-
     boltdb-bolt-devel, mongo-tools-devel, golang-github-pkg-sftp-devel,
     golang-github-shurcool-goon-devel, golang-github-go-tomb-tomb-
     devel-v2, golang-github-bkaradzic-go-lz4-devel, golang-github-
     syncthing-notify-devel, golang, golang-github-shurcool-devel, golang-
     github-linode-linodego-devel, golang-github-juju-ratelimit-devel,
     golang-github-jedisct1-dlog-devel, golang-github-willf-bitset-devel,
     golang-github-gonum-floats-devel, golang-github-t3rm1n4l-go-mega-
     devel, golang-github-shurcool-component-devel, golang-github-racker-
     perigee-devel, golang-github-philhofer-fwd-devel, golang-github-
     transip-gotransip-devel, golang-github-boombuler-barcode-devel,
     golang-github-shurcool-markdownfmt-devel, golang-github-smartystreets-
     assertions-devel, golang-github-soundcloud-runit-devel, golang-github-
     alecthomas-assert-devel, golang-github-matttproud-
     golang_protobuf_extensions-devel, golang-github-goftp-server-devel,
     golang-github-bep-tocss-devel, golang-github-jmank88-nuts-devel,
     golang-github-miekg-dns-devel, golang-github-spf13-cast-devel,
     godoctor-golang-github-godoctor-devel, golang-github-bmizerany-pat-
     devel, golang-github-coreos-go-semver-devel, golang-github-jacobsa-
     oglematchers-devel, golang-github-samalba-dockerclient-devel, golang-
     github-armon-gomdb-devel, golang-github-rican7-retry-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-mattn-gtk-devel-0-0.1.20190325gite9a6766.fc31.noarch.rpm
          golang-github-mattn-gtk-0-0.1.20190325gite9a6766.fc31.src.rpm
golang-github-mattn-gtk-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/mattn/go-gtk/.goipath
golang-github-mattn-gtk.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
golang-github-mattn-gtk-devel.noarch: W: invalid-url URL: https://github.com/mattn/go-gtk <urlopen error [Errno -2] Name or service not known>
golang-github-mattn-gtk-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/mattn/go-gtk/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
golang-github-mattn-gtk-devel (rpmlib, GLIBC filtered):
    golang(github.com/mattn/go-pointer)
    pkgconfig(glib)
    pkgconfig(gtk+-2.0)
    pkgconfig(gtksourceview-2.0)



Provides
--------
golang-github-mattn-gtk-devel:
    golang(github.com/mattn/go-gtk/gdk)
    golang(github.com/mattn/go-gtk/gdk)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/gdkpixbuf)
    golang(github.com/mattn/go-gtk/gdkpixbuf)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/gio)
    golang(github.com/mattn/go-gtk/gio)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/glib)
    golang(github.com/mattn/go-gtk/glib)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/gtk)
    golang(github.com/mattn/go-gtk/gtk)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/gtkgl)
    golang(github.com/mattn/go-gtk/gtkgl)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/gtksourceview)
    golang(github.com/mattn/go-gtk/gtksourceview)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/gtkspell)
    golang(github.com/mattn/go-gtk/gtkspell)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang(github.com/mattn/go-gtk/pango)
    golang(github.com/mattn/go-gtk/pango)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)
    golang-github-mattn-gtk-devel
    golang-ipath(github.com/mattn/go-gtk)
    golang-ipath(github.com/mattn/go-gtk)(commit=e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c)



Source checksums
----------------
https://github.com/mattn/go-gtk/archive/e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c/go-gtk-e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c.tar.gz :
  CHECKSUM(SHA256) this package     : 03f179b060329efb433635d0ed3582b08f928920e23f1d5c8d7d7896f7c29e4e
  CHECKSUM(SHA256) upstream package : 03f179b060329efb433635d0ed3582b08f928920e23f1d5c8d7d7896f7c29e4e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1692376 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Robert-André Mauchin 2019-04-06 18:40:53 UTC
(In reply to Jerry James from comment #2)
> Issues
> ==============
> The license situation is unclear to me.  README.md says:
> 
> "The library is available under the same terms and conditions as the Go, the
>  BSD style license, and the LGPL (GNU Lesser General Public License).  The
> idea
>  is that if you can use Go (and Gtk) in a project, you should also be able to
>  use go-gtk."
> 
> That's a little hard to understand, but I suspect the author means that the
> license is "BSD or LGPLv2+", where the Go license is subsumed by BSD, and the
> GTK license is LGPLv2+.

That's what I understood: it is both available as BSD or LGPLv2+, like Go and GTK.

Comment 4 Robert-André Mauchin 2019-04-08 14:01:12 UTC
Could you please finish the review? Thank you.

Comment 5 Jerry James 2019-04-09 03:42:41 UTC
Sorry, I had to leave town for a few days.  But I think I am waiting for you.  The License field in the spec file says "BSD", which is not correct.  If we read the text literally, with the Go license equal to "BSD and Public Domain", then the License field should be "(BSD and Public Domain) or BSD or LGPLv2+".  It is probably okay to shorten that to "BSD or LGPLv2+", but I would like Legal's opinion on that.

Comment 7 Robert-André Mauchin 2019-04-09 17:46:33 UTC
Added "BSD or LGPLv2+".

I don't see where Public Domain is coming from? Haven't seen any mention of that.

Comment 8 Jerry James 2019-04-10 02:38:17 UTC
(In reply to Robert-André Mauchin from comment #7)
> I don't see where Public Domain is coming from? Haven't seen any mention of
> that.

The license on the golang package is "BSD and Public Domain".  Since the license for this package mentions the Go license, I presumed that was what was meant.

In any case, I believe that both BSD and LGPLv2+ are more strict than Public Domain, so this should be okay.  This package is APPROVED.

Comment 9 Gwyn Ciesla 2019-04-11 13:38:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-mattn-gtk

Comment 10 Fedora Update System 2019-04-12 12:01:10 UTC
golang-github-mattn-gtk-0-0.1.20190412gite9a6766.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f81d5ad82

Comment 11 Fedora Update System 2019-04-12 12:21:19 UTC
golang-github-mattn-gtk-0-0.1.20190412gite9a6766.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4468f27fd9

Comment 12 Fedora Update System 2019-04-13 02:00:06 UTC
golang-github-mattn-gtk-0-0.1.20190412gite9a6766.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f81d5ad82

Comment 13 Fedora Update System 2019-04-13 12:10:41 UTC
golang-github-mattn-gtk-0-0.1.20190412gite9a6766.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4468f27fd9


Note You need to log in before you can comment on or make changes to this bug.